- Qt 6.12
- Qt GRPC
- C++ Classes
- QGrpcWritesDoneInterceptor
- Qt 6.12.0 Reference Documentation

# QGrpcWritesDoneInterceptor Class

Intercepts the completion of message writes for an RPC. More...

Header: | `#include <QGrpcInterceptor>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Grpc)` `target_link_libraries(mytarget PRIVATE Qt6::Grpc)`
Since: | Qt 6.11

- List of all members, including inherited members
- QGrpcWritesDoneInterceptor is part of Qt GRPC Interceptors.

Note: All functions in this class are reentrant.

## Public Functions

virtual | ~QGrpcWritesDoneInterceptor()
virtual void | onWritesDone(QGrpcInterceptionContext &context) = 0

## Detailed Description

Implement QGrpcWritesDoneInterceptor to observe when no further outgoing messages will be written for an RPC.

For an introduction to the interception mechanism and how interceptor interfaces participate in the lifecycle of an RPC, see the Qt GRPC Interceptors Overview.

Note: This interceptor operates in the inbound direction. For details on how multiple interceptor callbacks flow through the chain, see the Direction and flow section.

See also QtGrpc::InterceptorCapability::WritesDone and QGrpcInterceptionContext.

## Member Function Documentation

### `[virtual noexcept]` QGrpcWritesDoneInterceptor::~QGrpcWritesDoneInterceptor()

Destroys the interceptor.

### `[pure virtual]` void QGrpcWritesDoneInterceptor::onWritesDone(QGrpcInterceptionContext &context)

Called when the local side indicates that no further outgoing messages will be written.

The context provides information about the intercepted RPC.

See also QGrpcClientStream::writesDone() and QGrpcBidiStream::writesDone().